#ifndef _FX2000_H_
#define _FX2000_H_

#include <linux/ioctl.h> /* needed for the _IOW etc stuff used later */
#include <linux/devfs_fs_kernel.h>

/*
 * Macros to help debugging
 */

#ifdef FX2000_DEBUG
#  ifdef __KERNEL__
     /* This one if debugging is on, and kernel space */
#    define FX2000_DEBUG(fmt, args...) printk("<1>Fx2000: " fmt, ## args)
#    define FX2000_DEBUGnoC(fmt, args...) printk(fmt, ## args)
#  else
     /* This one for user space */
#    define FX2000_DEBUG(fmt, args...) fprintf(stderr, fmt, ## args)
#  endif
#else
#  define FX2000_DEBUG(fmt, args...) /* not debugging: nothing */
#endif

#ifndef FX2000_MAJOR
#define FX2000_MAJOR 0   /* dynamic major by default */
#endif

#ifndef FX2000_NR_DEVS
#define FX2000_NR_DEVS 10    /* fx2000_0 through fx2000_9 */
#endif

#endif /* _FX2000_H_ */
